Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sun 23 Nov 2014, 16:13
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
LibreOffice 4.x + language packs (latest: 4.3.4)
Post new topic   Reply to topic View previous topic :: View next topic
Page 5 of 12 [166 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, ..., 10, 11, 12 Next
Author Message
mikeb


Joined: 23 Nov 2006
Posts: 8645

PostPosted: Thu 16 Jan 2014, 04:11    Post subject:  

Quote:
libgcc_s.so.1 from Carolina 1.1 allows me to run LibreOffice 4.1.4.2 on Fluppy. I haven't tested it extensively, but the program runs and seems fine on first inspection.

That was a strong suspicion and my test of it was not good as I was unsure if the pets I tested were even installing.

It is one of those segmentation fault inducing libs as its core to the compiling process and binaries built with gcc are supposed to match it in some way...not an area of expertise on my part.

Nice find mate.... I will do a retest using your library...or at least one thats ok on 4.12 if it does not get on. (or use LDLibrary as you suggest)

I like a bit of future proofing Smile

You definately get a puppy tee shirt....

One thing I wonder is if altering libgcc would affect anything else ...indeed compiling comes to mind...but perhaps it could be added to the open office install so it gets used instead of the native one...I will play now we have something to work with Smile

mike
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 8645

PostPosted: Thu 16 Jan 2014, 06:37    Post subject:  

Ok tested in 4.12.... added your libgcc.so.1 to /opt/libreoffice4.1/program and after a first stalled run seems to be fine. Gtk/glib spits out a few warnings but hey whats new Very Happy.
Doing that seems to avoid the need to use LD_LIBRARY too.

Ok curiosity made me look at my copy of 3.4.6 ..sure enough it does have libgcc.so.1 but in ure/lib instead (layout is a bit different anyway) This was built directly from their debs by me as it happens.
It actually ran without it on puppy 4.12 but that library used for libreoffice 4.14 failed so I assume its an older version than yours.

As an aside renaming javaldx when java is not present saved 2 seconds of start up. Click to writer takes 4 seconds on a pentium 3...not bad at all really. That was run from a hard drive extraction rather than an lzma sfs which I normally use so I guess the size of the program benefits from not being compressed.

mystery solved sealed and delivered Smile

mike
Back to top
View user's profile Send private message 
ac2011

Joined: 09 Feb 2011
Posts: 78

PostPosted: Thu 16 Jan 2014, 15:29    Post subject:  

Mine did that first stalled run too, then it's worked fine since.

I tend to keep the 'odd' libraries separate so I remember what they're for and, as you say, so they don't interfere with the rest of the system. So I might copy this one into /root/carolina_lib_for_libreoffice/ and then change defaultwordprocessor so that it does something like:

Code:
export LD_LIBRARY_PATH=/root/carolina_lib_for_libreoffice:$LD_LIBRARY_PATH
libreoffice4.1 --writer "$@"
(or whatever the syntax is - I'm writing this from memory)

Nice to have this solved.
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 8645

PostPosted: Thu 16 Jan 2014, 16:12    Post subject:  

Does not make documents and accounts any more exiting though...wonder if there is a fix for that Very Happy

mike
Back to top
View user's profile Send private message 
YoutIndia

Joined: 12 Feb 2013
Posts: 14

PostPosted: Sat 25 Jan 2014, 12:21    Post subject: Works Fantastic on Puppy Precise 5.7.1 Thanks  

Just a thankyou message. I am so much surprised that a lightweight distro like puppy could run the latest software like Libreoffice without any difficulty. So, I thought I owe you a thanks.

Thanks for sharing Libreoffice.
Back to top
View user's profile Send private message 
vicmz


Joined: 15 Jan 2012
Posts: 1142

PostPosted: Sat 01 Feb 2014, 00:38    Post subject:  

LibreOffice 4.2.0 SFS added to the first page. or click here:
https://app.box.com/s/s5eh6lkxud4si0wqu0tp

The package includes English and Spanish languages.

This version requires different langpacks, I'm going to post those of popular Puppy languages ASAP. Meanwhile, you can select your language and click "Translated user interface" to get the language pack for your language ---> here. (You can also follow the instructions on the first page to create a LibreOffice langpack PET with the deb package you get from there)

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
Puppus Dogfellow


Joined: 07 Jan 2013
Posts: 654
Location: nyc

PostPosted: Sat 01 Feb 2014, 01:19    Post subject:  

LibreOffice-4.2.0_en-US_xz.sfs (172MB)
LibreOffice-4.2.0_en-US_xz.pet (208MB)
Back to top
View user's profile Send private message 
nancy reagan

Joined: 22 Jan 2009
Posts: 515

PostPosted: Sat 01 Feb 2014, 13:15    Post subject:  

vicmz wrote:
LibreOffice 4.2.0 SFS added to the first page. or click here:
https://app.box.com/s/s5eh6lkxud4si0wqu0tp

I CANNOT GET THE DOWNLOAD TO WORK ..
Back to top
View user's profile Send private message 
vicmz


Joined: 15 Jan 2012
Posts: 1142

PostPosted: Sat 01 Feb 2014, 14:05    Post subject:  

nancy reagan wrote:
vicmz wrote:
LibreOffice 4.2.0 SFS added to the first page. or click here:
https://app.box.com/s/s5eh6lkxud4si0wqu0tp

I CANNOT GET THE DOWNLOAD TO WORK ..


I CAN'T DOWNLOAD EITHER Shocked Shocked Shocked
I'm so sorry, I'll upload to another site as well. Meanwhile, there's Puppus Dogfellow links (thank you Puppus, posted to the first page). There's also the Get LibreOffice utility by 01micko for those who want to give it a go.

Language pack PETs are now available. If you don't find a PET for your language, you can request one or make it yourself following the instructions in the first page.

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
ASRI éducation


Joined: 09 May 2009
Posts: 2581
Location: France

PostPosted: Sat 01 Feb 2014, 15:19    Post subject:  

vicmz wrote:
LibreOffice 4.2.0 SFS added to the first page. or click here:
https://app.box.com/s/s5eh6lkxud4si0wqu0tp

Merci ! Wink

_________________
Projet ASRI éducation => Association | Forum | Dépôt | Espace kids
Back to top
View user's profile Send private message Visit poster's website 
vicmz


Joined: 15 Jan 2012
Posts: 1142

PostPosted: Sat 01 Feb 2014, 21:20    Post subject:  

I wonder what happened with Box.com, clicking the download button doesn't start the download.

For those who'd like a version including Spanish langpack and help files, I re-uploaded the LibreOffice SFS here:
http://yadi.sk/d/Idng4lP_H8xWq

_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
nancy reagan

Joined: 22 Jan 2009
Posts: 515

PostPosted: Sun 02 Feb 2014, 12:32    Post subject:  

Danke !

So weit, works better than my previous version.
Back to top
View user's profile Send private message 
boxR


Joined: 13 Aug 2011
Posts: 249
Location: France

PostPosted: Sun 02 Feb 2014, 16:10    Post subject: LibreOffice 4.2.0 fr (PET)  

LibreOffice 4.2.0 fr (PET) is now available here :

And Java RE 1.7 Update 51 (PET) :
Back to top
View user's profile Send private message 
vicmz


Joined: 15 Jan 2012
Posts: 1142

PostPosted: Sun 02 Feb 2014, 19:08    Post subject:  

Merci beaucoup BoxR. Added to the first page. Very Happy
_________________
OB Precise 14.07.26 Woof-CE|Puppy Linux en español
Back to top
View user's profile Send private message 
chococyanide

Joined: 24 Jan 2014
Posts: 2
Location: Bandung, Indonesia

PostPosted: Tue 11 Feb 2014, 06:48    Post subject:  

I've installed LibreOffice 4.2.0 PET for my Precise 5.7.1 . It can open document files in my drive (it even changes the icon), but LibreOffice is not listed anywhere in the menu, typing libreoffice in console doesn't work either (it says 'bash: libreoffice: command not found') . What is wrong here?
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 5 of 12 [166 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, ..., 10, 11, 12 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Documents
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0866s ][ Queries: 13 (0.0079s) ][ GZIP on ]